Como atualizar o jQuery para a versão mais recente no WordPress

A versão do jQuery em execução no seu site WordPress está atualizada?

Seu tema e plugins, assim como o próprio WordPress, contam com jQuery. Uma versão desatualizada pode colocar seu site em risco.

Neste artigo, mostraremos como atualizar o jQuery para a versão mais recente no WordPress.

Por que atualizar o jQuery para a versão mais recente no WordPress?

Seu site WordPress , assim como muitos plugins e temas que você usa, dependem de JavaScript em combinação com jQuery para criar recursos rápidos, interativos e envolventes.

É importante manter o jQuery atualizado para manter a segurança do seu site. A versão mais recente corrige bugs e vulnerabilidades em versões anteriores que podem colocar seu site em risco.

Se você estiver executando a versão mais recente do WordPress, não precisará atualizar manualmente o jQuery. É feito automaticamente para você. Mas se você estiver usando uma versão mais antiga do WordPress, como o WordPress 5.4 ou anterior, é recomendável fazer a atualização.

Além disso, se você substituiu o jQuery padrão do WordPress pela Biblioteca do Google , ele não será atualizado automaticamente para a versão mais recente.

Nota do editor: é importante destacar que a atualização do jQuery pode quebrar a funcionalidade do plugin mais antigo, portanto, após a atualização, você deve testar seu site. Na maioria dos casos, não é um problema, mas caso você tenha problemas, poderá retornar facilmente à versão mais antiga.

Com isso dito, vamos dar uma olhada em como atualizar o jQuery para a versão mais recente no WordPress. Veja o que abordaremos neste tutorial:

  • Como determinar se sua versão do jQuery está desatualizada
  • Método 1: atualizar o jQuery para a versão estável mais recente
  • Método 2: Controlar a versão do jQuery que é executada em seu site

Como determinar se sua versão do jQuery está desatualizada

Você pode encontrar facilmente a versão do jQuery que seu site está executando usando o console Javascript em seu navegador da web.

Primeiro, você precisará visitar seu site e abrir o console JavaScript. Se você estiver usando o Google Chrome, poderá fazer isso selecionando Ferramentas do Desenvolvedor » Console no menu.

Em seguida, você deve colar o seguinte comando no console:

jQuery.fn.jquery

Este comando exibirá a versão do jQuery que seu site está executando.

Esperamos que você veja pelo menos a versão 3.5.1 ou superior. Se o seu site estiver executando uma versão que começa com 1.7 ou inferior, você definitivamente deve atualizar.

Método 1: atualizar o jQuery para a versão estável mais recente

O plugin jQuery Updater atualiza o jQuery para a versão estável oficial mais recente. É provável que seja mais atual do que a versão que vem com o WordPress.

Primeiro, você precisa instalar e ativar o plugin jQuery Updater. Para mais detalhes, veja nosso guia passo a passo sobre como instalar um plugin no WordPress.

Após a ativação, seu site começará a executar a versão mais recente do jQuery. No entanto, antes de ver a alteração, talvez seja necessário limpar o cache do navegador e o cache do WordPress .

O plugin inclui o script jQuery Migrate para ajudar na compatibilidade com versões anteriores. No entanto, se você achar que tem problemas com alguns de seus plugins, você pode simplesmente desativar o plugin jQuery Updater para retornar seu site ao seu estado original.

Método 2: Controlar a versão do jQuery que é executada em seu site

O plugin Version Control for jQuery permite controlar a versão do jQuery que é executada em seu site. Isso permite que os usuários do WordPress executem um site WordPress estável, e os desenvolvedores do WordPress podem verificar se seu código funciona com várias versões do jQuery.

Para começar, você precisa instalar e ativar o plugin jQuery Updater. Se precisar de ajuda, veja nosso guia passo a passo sobre como instalar um plugin no WordPress .

Após a ativação, o plugin será padronizado para a versão de pré-lançamento mais recente do jQuery. Ele também instala o script jQuery Migrate para ajudar na compatibilidade com versões anteriores.

Se precisar, você pode selecionar uma versão diferente do jQuery visitando a página Configurações » jQuery Version Control .

A partir daqui, você pode selecionar as versões jQuery e jQuery Migrate que deseja executar em seu site. Certifique-se de clicar no botão “Salvar alterações” para armazenar suas configurações.

Se a versão atualizada do jQuery quebrar alguns de seus plugins mais antigos, você pode simplesmente selecionar uma versão anterior no menu suspenso. Como alternativa, se você desativar o plugin Version Control for jQuery, seu site retornará ao seu estado original.

Esperamos que este tutorial tenha ajudado você a aprender como atualizar o jQuery para a versão mais recente no WordPress. Você também pode querer aprender como aumentar o tráfego do seu blog.

Para usuários do Império WP, o Napoleon oferece CPU dedicados, cPanel, Contas de E-mails Ilimitadas, Temas Premium para WordPress, Licenças Pro do Elementor e Divi Builder, certificados SSL gratuitos, Backup gratuito, CDN grátis. Clique Aqui!

Deixe uma resposta

Esse site utiliza o Akismet para reduzir spam. Aprenda como seus dados de comentários são processados.